﻿Type=StaticCode
Version=2.02
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	Dim locale As AHLocale	
	Dim trans As AHTranslator

End Sub

Sub initializeTrans()

	'Try

		trans.Initialize2(File.DirAssets,  "lang", locale.Language)
	'Catch
	
	'End Try

End Sub

Sub initializeLocale()

	Dim isInitialized As Boolean : isInitialized = locale.initialized 
	
	'zCommon.LogT("initializeLocale() isInitialized = " & isInitialized, "")

If(isInitialized = False) Then
	locale.Initialize
End If

End Sub

Sub tr(KEY As String)

	Dim value As String

	Try
		value = trans.GetText(KEY)
	Catch
		initializeLocale
		initializeTrans
		value = trans.GetText(KEY)
	End Try

Return value
End Sub

Sub writeMissingToFile()
		Log(trans.MissingTranslationMap)
	
trans.WriteTranslation(File.DirInternal, "lang")
End Sub